# Minecraft - docker-compose

This is Minecraft, running under docker, using docker-compose.

## Getting Started

Edit docker-compose.yml
Edit data/server.properties, data/ops.txt
Edit data/plugins/ configurations...

### Prerequisites

Docker
Possibly, docker configured to run as non-root

https://docs.docker.com/engine/installation/linux/linux-postinstall/

### Newer Server

https://ci.destroystokyo.com/job/PaperSpigot/

### Newer Plugins

(need link)

### Installing

docker-compose build
docker-compose up -d
Or, if you're having errors starting up, just docker-compose up. 
(Which will display the logs to the console.)

## Deployment

Edit docker-compose.yml file to chang the port.

    ports:
      - "25565:25565"

This maps the external port (that everyone connects in on) to 25565.
To use the external port 20065, you would use:

    ports:
      - "20065:25565"

**Note: You'll need to include 20065 to connect to this non-standard server port.**

## Authors

* **Steve Thielemann** 

## Acknowledgments

* https://hub.docker.com/r/itzg/minecraft-server/

For giving me my first taste of running minecraft server under docker.

And for the headaches of updating that made me want to try to build my own image.

My image shuts down correctly, and doesn't need SIG_KILL!




